import { AbstractConfig } from '../../../../bld/node-shared';
import { RawTemplatesConfig } from '../../../../bld/shared';
import { GeneralDockerVolumeEntry, RawConfig, RawGitServiceConfig, RawUserConfig } from './raw-config';
export declare class Config extends AbstractConfig<RawConfig> {
    get name(): string;
    get host(): string;
    get port(): number;
    get identity(): string;
    get users(): RawUserConfig[];
    get image(): string;
    get sharedVolumes(): GeneralDockerVolumeEntry[];
    get templates(): RawTemplatesConfig;
    get gitHostToServiceConfigMap(): Map<string, RawGitServiceConfig>;
}
